<?php
namespace WikiLingo\Plugin;

use WikiLingo;
use WikiLingo\Utilities\Parameter;

/**
 * Class Flash
 * @package WikiLingo\Plugin
 */
class Flash extends Base
{
    /**
     *
     */
    public function __construct()
    {
        $this->label = 'Flash';
        $this->htmlTagType = 'embed';
        $this->hasHtmlBody = false;
        $this->bodyIsAutoGenerated = false;
        $this->parameters = array(
            'movie' => new Parameter('Source', 'img/emblem-multimedia.png'),
            'height' => new Parameter('Height', '480px'),
            'width' => new Parameter('Width', '640px'),
            'title' => new Parameter('Title', ''),
            'allow' => new Parameter('Allow to watch in edit mode', '')
        );
    }

    /**
     * @param WikiLingo\Expression\Plugin $plugin
     * @param string $body
     * @param WikiLingo\Renderer $renderer
     * @param WikiLingo\Parser $parser
     * @return string
     */
    public function render(WikiLingo\Expression\Plugin &$plugin, &$body, &$renderer, &$parser)
    {
	    $plugin->attributes['title'] = $plugin->parameter('title');
        $allow = $plugin->parameter('allow');

	    if ($parser->wysiwyg && empty($allow)) {
            $this->htmlTagType = 'img';
		    $plugin->attributes['src'] = 'img/emblem-multimedia.png';
		    $flash = parent::render($plugin, $body, $renderer, $parser);
		    $this->htmlTagType = 'embed';
	    } else {
            $plugin->attributes['src'] = $plugin->parameter('movie');
		    $flash = parent::render($plugin, $body, $renderer, $parser);
	    }

	    return $flash;
    }
}

